std::vector::~vector(3)

NAME
std::vector::~vector - std::vector::~vector

Synopsis
   ~vector(); (until C++20)
   constexpr ~vector(); (since C++20)
   Destructs the vector. The destructors of the elements are called and the used
   storage is deallocated. Note, that if the elements are pointers, the pointed-to
   objects are not destroyed.

Complexity
   Linear in the size of the vector.